# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name hs-bibutils

%global common_summary Haskell bindings to bibutils

%global common_description Haskell bindings to Chris Putnam's bibutils, a library that\
converts between various bibliography formats using a common\
MODS-format XML intermediate.

Name:           ghc-%{pkg_name}
Version:        4.15
Release:        2%{?dist}
Summary:        %{common_summary}

License:        GPL+
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-syb-devel
BuildRequires:  pkgconfig(bibutils)
# End cabal-rpm deps
Patch1:         hs-bibutils-4.15-pkgconfig.patch

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}
%patch1 -p1 -b .orig

# remove copylib
rm -r bibutils


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package
# Begin cabal-rpm deps:
Requires:       pkgconfig(bibutils)
# End cabal-rpm deps

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE
%doc README


%changelog
* Wed Nov 21 2012 Jens Petersen <petersen@redhat.com> - 4.15-2
- update with cabal-rpm-0.6.6
- fix missing requires for bibutils-devel

* Mon Oct  1 2012 Jens Petersen <petersen@redhat.com> - 4.15-1
- simplify summary and description
- use pkgconfig to build with bibutils

* Mon Oct  1 2012 Fedora Haskell SIG <haskell@lists.fedoraproject.org>
- spec file generated by cabal-rpm-0.6.3
